package intimate

import (
	"database/sql"
	"reflect"
)

// Source 的结构体
type Source struct {
	Uid        int64          //
	Url        string         //
	TargetType string         //
	Source     sql.NullString //
	PassGob    sql.NullString //
	Ext        interface{}    //
	UpdateTime sql.NullTime   //
	Operator   int32          //
	ErrorMsg   sql.NullString //

	LastOperator int32
}

// Get Simple Value
func (so *Source) Get(field string) interface{} {
	return reflect.ValueOf(so).Elem().FieldByName(field).Interface()
}

// Set Simple Value
func (so *Source) Set(field string, value interface{}) {
	reflect.ValueOf(so).Elem().FieldByName(field).Set(reflect.ValueOf(value))
}
